Voice Link

Works with Windows 7, 8, 8.1 and 10.

Encrypted transport and encrypted local storage.

NEW! Version 3.0.3*

Install

* This version requires .net framework version 4.6 or later and the VC++ 14.0 runtime.  Installer will install the required components prior to installing the VoiceLink program.